package com.bonus.sgzb.machine.service.impl;

import com.bonus.sgzb.machine.damain.MaMachine;
import com.bonus.sgzb.machine.mapper.MaMachineMapper;
import com.bonus.sgzb.machine.service.MaMachineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MaMachineServiceImpl implements MaMachineService {

    @Autowired
    private MaMachineMapper maMachineMapper;


    @Override
    public List<MaMachine> getMaMachine(MaMachine maMachine) {
        return maMachineMapper.getMaMachine(maMachine);
    }

    @Override
    public int maMachineAdd(MaMachine maMachine) {
        return maMachineMapper.maMachineAdd(maMachine);
    }

    @Override
    public int remove(Long[] maIds) {
        return maMachineMapper.remove(maIds);
    }

    @Override
    public int updateMaMachine(MaMachine maMachine) {
        return maMachineMapper.updateMaMachine(maMachine);
    }
}
